### Enumeration

# Gtk SizeRequestMode

#### Declaration

    enum Gtk.SizeRequestMode

#### Description [src]

Specifies a preference for height-for-width or width-for-height geometry management.

#### Members

`GTK_SIZE_REQUEST_HEIGHT_FOR_WIDTH`

  Prefer height-for-width geometry management.

  - Value: `0`
  - Available since: 4.0
`GTK_SIZE_REQUEST_WIDTH_FOR_HEIGHT`

  Prefer width-for-height geometry management.

  - Value: `1`
  - Available since: 4.0
`GTK_SIZE_REQUEST_CONSTANT_SIZE`

  Don’t trade height-for-width or width-for-height.

  - Value: `2`
  - Available since: 4.0